#define __USE_DEPRECATED_STACK_FUNCTIONS__
#include "stack-c.h"
/******************************************
 * SCILAB function : hytrain, fin = 1
 ******************************************/

int intshytrain(char *fname)
{
 int m1,n1,l1,m2,n2,l2,m3,n3,l3,m4,n4,l4,m5,n5,l5,m6,n6,l6,m7,n7,l7,m8,n8,l8,m9,n9,l9,m10,n10,l10,m11
 ,n11,l11,m12,n12,l12,l13,err=0;
 CheckRhs(12,12);
 CheckLhs(1,3);
 /*  checking variable k */
 GetRhsVar(1,"i",&m1,&n1,&l1);
 CheckScalar(1,m1,n1);
 /*  checking variable L */
 GetRhsVar(2,"i",&m2,&n2,&l2);
 CheckScalar(2,m2,n2);
 /*  checking variable pi */
 GetRhsVar(3,"i",&m3,&n3,&l3);
 CheckScalar(3,m3,n3);
 /*  checking variable pc */
 GetRhsVar(4,"i",&m4,&n4,&l4);
 CheckScalar(4,m4,n4);
 /*  checking variable FP */
 GetRhsVar(5,"i",&m5,&n5,&l5);
 CheckScalar(5,m5,n5);
 /*  checking variable it */
 GetRhsVar(6,"i",&m6,&n6,&l6);
 CheckScalar(6,m6,n6);
 /*  checking variable err */
 GetRhsVar(7,"d",&m7,&n7,&l7);
 CheckScalar(7,m7,n7);
 /*  checking variable ka */
 GetRhsVar(8,"d",&m8,&n8,&l8);
 CheckScalar(8,m8,n8);
 /*  checking variable ab */
 GetRhsVar(9,"d",&m9,&n9,&l9);
 /*  checking variable pq */
 GetRhsVar(10,"d",&m10,&n10,&l10);
 /*  checking variable Ei */
 GetRhsVar(11,"d",&m11,&n11,&l11);
 /*  checking variable Ec */
 GetRhsVar(12,"d",&m12,&n12,&l12);
 /* cross variable size checking */
 CheckDimProp(10,11,n10 != n11);
 CheckDimProp(11,12,n11 != n12);
 CreateVar(13,"d",istk(l6),&n9,&l13);/* named: Te */
 C2F(chytrain)(istk(l1),istk(l2),istk(l3),istk(l4),istk(l5),istk(l6),stk(l7),stk(l8),stk(l9),&m9,&n9
 ,stk(l10),&m10,&n10,stk(l11),&m11,stk(l12),&m12,stk(l13));
 if (err >  0) {
  Scierror(999,"%s: Internal Error \n",fname);
  return 0;
 };
 LhsVar(1)= 9;
 LhsVar(2)= 10;
 LhsVar(3)= 13;
 return 0;
}
